{"title":"Create projects","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_project_create/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_project_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_project_create","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Creates a project object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":45,"chars":202},{"level":2,"title":"Request headers","slug":"request-headers","at":247,"chars":102},{"level":2,"title":"Request body","slug":"request-body","at":349,"chars":85},{"level":2,"title":"Response","slug":"response","at":434,"chars":122},{"level":2,"title":"Example","slug":"example","at":556,"chars":497},{"level":2,"title":"Related information","slug":"related-information","at":1053,"chars":197}],"text":"Create a project object in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/projects\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body\nIn the request body, supply a JSON representation of project object.\n## Response\nIf successful, this method returns ```201 Created``` response code and a project object in the response body.\n## Example\nRequest\nHere's an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v2.0/companies({id})/projects\nContent-type: application/json\n\n{\n    \"number\": \"DEERFIELD, 8 WP\",\n    \"displayName\": \"Setting up Eight Work Areas\"\n}\n```\nResponse\nHere's an example of the response.\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n\n{\n    \"id\": \"22d7a1c5-bde4-ea11-bbf2-00155df3a615\",\n    \"number\": \"DEERFIELD, 8 WP\",\n    \"displayName\": \"Setting up Eight Work Areas\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_project\ndynamics_project_get\ndynamics_project_delete\ndynamics_project_update"}